package com.zd.common.core.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.valid.ValidEunm;

/**
 * 柜锁操作类型
 */
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum LockTypeEnum implements ValidEunm, BaseEnum<Integer>{

    SYSTEM(0, "系统"),
    IN_STOCK(1, "入库"),
    OUT_STOCK(2, "出库"),
    USE(3, "领用"),
    BACK(4, "归还");

    private Integer code;

    private String msg;

    LockTypeEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    @Override
    public String codes() {
        return this.code.toString();
    }

    @Override
    public Integer getDictKey() {
        return code;
    }
}
